%define        usbmux_uid 65424
%define        usbmux_gid 65424

Name:          libusbmuxd
Version:       2.0.1
Release:       1mamba
Summary:       A service used to talk to iPhone or iPod Touch over USB
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://cgit.sukimashita.com/usbmuxd.git
Source:        https://github.com/libimobiledevice/libusbmuxd.git/%{version}/libusbmuxd-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liblzma-devel
BuildRequires: libplist-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
usbmuxd is in charge of talking to your iPhone or iPod Touch over USB and coordinating access to its services by other applications.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
usbmuxd is in charge of talking to your iPhone or iPod Touch over USB and coordinating access to its services by other applications.
This package contains static libraries and header files needed for development.

%package tools
Group:         Applications/Multimedia
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
usbmuxd is in charge of talking to your iPhone or iPod Touch over USB and coordinating access to its services by other applications.
This package contains the tools provided by %{name}.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libusbmuxd.so.*
%doc AUTHORS

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libusbmuxd.a
%{_libdir}/libusbmuxd.la
%{_libdir}/libusbmuxd.so
%{_libdir}/pkgconfig/libusbmuxd.pc

%files tools
%defattr(-,root,root)
%{_bindir}/inetcat
%{_bindir}/iproxy

%changelog
* Thu Feb 13 2020 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Fri Feb 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.10-1mamba
- update to 1.0.10

* Mon Apr 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1mamba
- update to 1.0.9

* Mon May 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-1mamba
- update to 1.0.8

* Sun Jan 29 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.0.7-2mamba
- added usbmuxd user creation in %%pre section

* Tue Mar 22 2011 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic update by autodist

* Wed Nov 10 2010 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic update by autodist

* Mon Sep 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- package created by autospec
